Subject: Re: CoGetClassObject
From: Ove Kaaven <[email-masked]>
To: Rein Klazes <[email-masked]>
Cc: [email-masked]
Date: Tue, 7 Aug 2001 08:55:41 +0200 (CEST)
List-Id: Wine Developer's List <wine-devel.winehq.com>

On Tue, 7 Aug 2001, Rein Klazes wrote:

> On Tue, 7 Aug 2001 01:12:34 +0200 (CEST), you wrote:
> 
> 
> > 
> > > It couldn't get it from the ikernel.exe because I think
> > > it's encoded somehow (unicode, MultiByte??).
> > 
> > It doesn't look encoded, it's just different (it's most likely what is
> > boasted as the "Typelib 2 Format"). Win2000's stdole32.tlb also uses this
> > new format (it has a "SLTG" signature instead of the old "MSFT").
> 
> 
> SLTG is the old format, MSFT came later. Wine can (natively) only read
> MSFT. 

Allright, but the most important question remains: who will volunteer to
reverse engineer these SLTG typelibs and make Wine able to read them, so I
can concentrate on the actual COM marshaling stuff (which is pretty hard
enough as it is), so we can finally get those @#&% InstallShields up?